/*
////////////////////////////////////////////////////////////////////////////////////
//                                                                                //
//  PROGRAMMA: CIVIL DESIGN                                                       //
//                                                                                //
//  FILE: ETTOTR.DCL                                                              //
//                                                                                //
//  Scritto da:  Stefania Martinelli                                              //
//                                                                                //
//  DATA: luglio 1997  AGGIORNAMENTO:  luglio 1997                                //
//                                                                                //
//  COPYRIGHT    (C)  DIGICORP Ingegneria S.r.l. - 1997                           //
//                                                                                //
////////////////////////////////////////////////////////////////////////////////////
*/
/* ------------------------ DatiPDlgold -------------------------------------*/
DatiPDlgold : dialog
           {
            label = "Hectometrics on Alignment";
            : row
              {
               fixed_width = true;
               : text
                 {
                  label = "Alignment "; width = 12;
                 }
               : text
                 {
                  key = "nome_tra"; width = 30;
                 }
              } /* row */
            : row
              {
               : row 
                 {
                  fixed_width = true;
                  : text
                    {
                     label = "Init. chainage"; width = 12;
                    }
                  : text
                    {
                     key = "progi"; width = 10;
                    }
                 } /* row */
               : row 
                 {
                  fixed_width = true;
                  : text
                    {
                     label = "Final chainage"; width = 12;
                    }
                  : text
                    {
                     key = "progf"; width = 10;
                    }
                 } /* row */
              } /* row */
            : spacer {height = 1; }
            : row
              {
               fixed_width = true;
               : text
                 {
                  label = "Pitch"; 
                 }
               : edit_box
                 {
                  key = "passo"; edit_width = 8;
                 }
               : text
                 {
                  label = " m.";
                 }
              } /* row */
            : row
              {
               fixed_width = true;
               : toggle
                 {
                  label = "Place symbol"; key = "rip_simb";
                  }
                : image_button
                  {
                   fixed_height = true; fixed_width = true;
                   width = 5; height = 2; key = "simbolo";
                  }
                : row
                  {
                   fixed_width = true; alignment = right;
                   : text
                     {
                      label = "Size "; key = "talt_simb";
                     }
                   : edit_box
                     {
                      key = "alt_simb"; edit_width = 8;
                     }
                    } /* row */
                  } /* row */
            : row
              {
               : column
                 {
                  : toggle
                    {
                     label = "Place Chainage"; key = "rip_prog";
                     }
                   : row
                     {
                      fixed_width = true; alignment = right;
                      : column
                        {
                         : text
                           {
                            label = "Format"; width = 10; key = "t_formato";
                           }
                         : text
                           {
                            label = "Height"; key = "t_altprog"; width = 10;
                           }
                        } /* column */
                      : column
                        {
                         : popup_list
                           {
                            key = "formato"; width = 8; list = "1\n2\n3\n4\n5\n6";
                           }
                         : edit_box
                           {
                            key = "alt_prog"; edit_width = 9;
                           }
                        } /* column */
                     } /* row */
                 } /* column */
                : image
                  {
                   fixed_height = true; fixed_width = true;
                   width = 20; height = 8; key = "imm_prog";
                  }
               } /* row */
            errtile;
            ok_cancel_help;
           } /* end dialog */

/* ------------------------ DatiPDlg -------------------------------------*/
DatiPDlg : dialog
{
	label = "Hectometrics on Alignment";
	: row
	{
		fixed_width = true;
		: text
		{
			label = "Alignment "; width = 12;
		}
		: text
		{
			key = "nome_tra"; width = 30;
		}
	} /* row */
	: row
	{
		: row 
		{
			fixed_width = true;
			: text
			{
				label = "Init. chainage "; width = 12;
			}
			: text
			{
				key = "progi"; width = 10;
			}
			: spacer {width = 10; }
			: text
			{
				label = "Final chain."; width = 12;
			}
			: text
			{
				key = "progf"; width = 10;
			}
		} /* row */
	} /* row */
	: spacer {height = 1; }
	: row
	{
		fixed_width = true;
		: text
		{
			label = "Pitch"; 
		}
		: edit_box
		{
			key = "passo"; edit_width = 8;
		}
		: text
		{
			label = " m.";
		}
		: spacer {width = 10; }
		: toggle
		{
			label = "Highlight every"; key = "usa_evidenziate";
		}
		fixed_width = true;
		: edit_box
		{
			key = "intervallo_evidenziate"; edit_width = 8;
		}
		: text
		{
			key = "info_evidenziato";width = 15;
		}

	} /* row */

	: row
	{
		: boxed_column
		{
			label = "Usual Hectometrics";
			: row
			{
				: edit_box
				{
					label = "Layer"; key = "layer"; edit_width = 15;
				}
				: button
				{
					label = " Select layer >"; key = "sel_layer"; 
				}
			
			
			}
			: row
			{
					: toggle
					{
						label = "Place symbol"; key = "rip_simb";
					}
					: row
					{
						fixed_width = true; alignment = right;
						: image_button
						{
							fixed_height = true; fixed_width = true;
							width = 5; height = 2; key = "simbolo";
						}
					
						: text
						{
							label = "Height "; key = "talt_simb";
						}
						: edit_box
						{
							key = "alt_simb"; edit_width = 8;
						}
					} /* row */
			}
			: row
			{
					: toggle
					{
						label = "Place Block"; key = "rip_blocco";
					}
					: row
					{
						fixed_width = true; alignment = right;
						: edit_box
						{
							key = "blocco"; edit_width = 15;
						}
						/*: button*/
						/*{*/
						/*	label = " Seleziona >"; key = "sel_blocco";*/ 
						/*}*/
				
						: text
						{
							label = "Scale "; key = "talt_blocco";
						}
						: edit_box
						{
							key = "alt_blocco"; edit_width = 8;
						}
					} /* row */
			}
: row			
			{
				: toggle
				{
					label = "Replace prefix (km, hm)"; key = "rip_prefix";
				}
				: row
				{
                                        fixed_width = true; alignment = right; /*center;*/
					: edit_box
					{
						key = "prefix"; edit_width = 20;
					}
				}
			}					
			: row
			{
				: column
				{
					fixed_width = true;
					: spacer {height = 1; }
					: toggle
					{
						label = "Place Chainage"; key = "rip_prog";
					}
					: row
					{
						fixed_width = true; alignment = right;
						: column
						{
							: text
							{
								label = "Format"; width = 10; key = "t_formato";
							}
							: text
							{
								label = "Height"; key = "t_altprog"; width = 10;
							}
						} /* column */
						: column
						{
							: popup_list
							{
								key = "formato"; width = 8; list = "1\n2\n3\n4\n5\n6";
							}
							: edit_box
							{
								key = "alt_prog"; edit_width = 9;
							}
						} /* column */
					} /* row */
					: boxed_radio_row
					{
						label = "Side";  key = "lato";  
						: radio_button  
						{             
							label =  "Right"; key = "destra";
						}             
						: radio_button 
						{            
							label = "Left"; key = "sinistra";
						}            
					} 
					: boxed_radio_row   
					{
						label = "Lineup"; key = "allineamento";  
						: radio_button  
						{             
							label =  "Orthogonal"; key = "ortogonale";
						}             
						: radio_button 
						{            
							label = "Parallel"; key = "parallelo";
						}          
					}
 
				} /* column */
				: image
				{
					fixed_height = true; fixed_width = true;
					width = 36; height = 13; key = "imm_prog";
				}
			} /* row */
		}
		: boxed_column
		{
			label = "Highlighted Hectometrics";
			: row
			{
				
				: edit_box
				{
					label = "Layer"; key = "layer_evidenziato"; edit_width = 15;
				}
				: button
				{
					label = " Select layer >"; key = "sel_layer_evidenziato"; 
				}
			}
			: row
			{
				: toggle
				{
					label = "Place symbol"; key = "rip_simb_evidenziato";
				}
				: row
				{
					: image_button
					{
						fixed_height = true; fixed_width = true;
						width = 5; height = 2; key = "simbolo_evidenziato";
					}
					fixed_width = true; alignment = right;
					: text
					{
						label = "Height "; key = "talt_simb_evidenziato";
					}
					: edit_box
					{
						key = "alt_simb_evidenziato"; edit_width = 8;
					}
				} /* row */
			}
			: row
			{
				: toggle
				{
					label = "Place Block"; key = "rip_blocco_evidenziato";
				}
				: row
				{
					fixed_width = true; alignment = right;
					: edit_box
					{
						key = "blocco_evidenziato"; edit_width = 15;
					}
					/*: button*/
					/*{*/
					/*	label = " Seleziona >"; key = "sel_blocco_evidenziato";*/ 
					/*}*/
			
					: text
					{
						label = "Scale "; key = "talt_blocco_evidenziato";
					}
					: edit_box
					{
						key = "alt_blocco_evidenziato"; edit_width = 8;
					}
				} /* row */
			}
			: row
			{
				: toggle
				{
					label = "Replace prefix (km, hm)"; key = "rip_prefix_ev";
				}
				: row
				{
					fixed_width = true; alignment = center; /*right;*/
					: edit_box
					{
						key = "prefix_ev"; edit_width = 20;
					}
				}
			}
			: row
			{
				: column
				{
					fixed_width = true;	


					: spacer {height = 1; }

					: toggle
					{
						label = "Place Chainage"; key = "rip_prog_evidenziato";
					}
					: row
					{
						fixed_width = true; alignment = right;
						: column
						{
							: text
							{
								label = "Format"; width = 10; key = "t_formato_evidenziato";
							}
							: text
							{
								label = "Height"; key = "t_altprog_evidenziato"; width = 10;
							}
						} /* column */
						: column
						{
							: popup_list
							{
								key = "formato_evidenziato"; width = 8; list = "1\n2\n3\n4\n5\n6";
							}
							: edit_box
							{
								key = "alt_prog_evidenziato"; edit_width = 9;
							}
						} /* column */
					} /* row */
					: boxed_radio_row   
					{
						label = "Side"; key = "lato_evidenziato";  
						: radio_button  
						{             
							label =  "Right"; key = "destra_evidenziato";
						}             
						: radio_button 
						{            
							label = "Left"; key = "sinistra_evidenziato";
						}            
					} 
					: boxed_radio_row   
					{
						label = "Lineup"; key = "allineamento_evidenziato";  
						: radio_button  
						{             
							label =  "Orthogonal"; key = "ortogonale_evidenziato";
						}             
						: radio_button 
						{            
							label = "Parallel"; key = "parallelo_evidenziato";
						}            
					} 

				} /* column */
				: image
				{
					fixed_height = true; fixed_width = true;
					width = 36; height = 13; key = "imm_prog_evidenziato";
				}
			} /* row */
		}

	}
	errtile;
	ok_cancel_help;
} /* end dialog */

